Guard Jacob:
The marshlands are where the cruma's shell is, so they are called the the Cruma Marshlands. The Marshlands are beyond that temple over there. If you keep walking north, you can easily find them. However, there are rarely people there and the place is swarming with frightening monsters. I think it is rash to go there alone.
I've warned you in no uncertain terms. Please don't reproach me for the consequences if you choose to disregard my advice.
Return